Debian Bug report logs - #596704
cifs: Files duplicated in directory listing

version graph

Package: linux-image-2.6.26-2-686; Maintainer for linux-image-2.6.26-2-686 is (unknown);

Reported by: Jerome Warnier <jwarnier@beeznest.net>

Date: Mon, 13 Sep 2010 15:36:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version 2.6.26-25

Fixed in version 2.6.32-34

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.samba.org/show_bug.cgi?id=7676

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596704; Package linux-image-2.6.26-2-686. (Mon, 13 Sep 2010 15:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jerome Warnier <jwarnier@beeznest.net>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 13 Sep 2010 15:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jerome Warnier <jwarnier@beeznest.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cifs: Files duplicated in directory listing
Date: Mon, 13 Sep 2010 17:25:18 +0200
Package: linux-image-2.6.26-2-686
Version: 2.6.26-25

Server: Nexenta Core Platform 3.0 (~OpenSolaris b134).
Client: Debian Lenny (5.0.6) GNU/Linux running kernel 2.6.26-2-686 (2.6.26-25)
with cifs.ko version 1.53.

The mount options used are (I stripped authentication info):
rw,username=userX,password=passwordX,uid=userX,gid=groupY,dir_mode=0775,file_mode=0774

The problem I notice is that on the client, files appear multiple times in
directory as soon as they are more than 127 actual files in the directory (and
it is reproducible at will). At 127 files, each one is shown 2x (twice), up to
128x in directories with more that a few thousands files.
Their inodes are identical (as shows "ls -li"). Listing the directory gets
slower and slower with the number of files (and duplicates) in it.
On the server, everything is fine though.
Shell globbing is getting the duplicates.

I tried with kernel 2.6.32 (which has a newer cifs.ko) from
backports.debian.org, and the problem is not present (fixed?).

In the past, it was possible to download the sources for latest cifs.ko
separately, and apply it to an older kernel, but it no longer seems possible
(or I did not found latest sources).

I already reported it upstream: https://bugzilla.samba.org/show_bug.cgi?id=7676

Package: linux-2.6
Version: 2.6.26-25
Severity: normal



-- Package-specific info:
** Version:
Linux version 2.6.26-2-686 (Debian 2.6.26-22) (dannf@debian.org) (gcc version 4.1.3 20080704 (prerelease) (Debian 4.1.2-25)) #1 SMP Thu Mar 11 23:19:46 UTC 2010

** Command line:
root=/dev/hda5 ro 

** Not tainted

** Kernel log:
[16687522.716785] usb 4-5: reset high speed USB device using ehci_hcd and address 4
[16687522.961323] usb 4-5: reset high speed USB device using ehci_hcd and address 4
[16687836.642239] usb 4-5: reset high speed USB device using ehci_hcd and address 4
[16687836.909158] usb 4-5: reset high speed USB device using ehci_hcd and address 4
[16688156.226585] usb 4-5: reset high speed USB device using ehci_hcd and address 4
[16688156.478266] usb 4-5: reset high speed USB device using ehci_hcd and address 4
[16688464.873685] usb 4-5: reset high speed USB device using ehci_hcd and address 4
[16688465.207687] usb 4-5: reset high speed USB device using ehci_hcd and address 4
[16688775.063756] usb 4-5: reset high speed USB device using ehci_hcd and address 4
[16688775.304734] usb 4-5: reset high speed USB device using ehci_hcd and address 4
[16689093.992156] usb 4-5: reset high speed USB device using ehci_hcd and address 4
[16689094.235156] usb 4-5: reset high speed USB device using ehci_hcd and address 4

** Model information
not available

** Loaded modules:
Module                  Size  Used by
nls_cp437               5568  0 
ip6table_filter         2432  0 
ip6_tables             11376  1 ip6table_filter
iptable_filter          2624  0 
ip_tables              10160  1 iptable_filter
x_tables               13284  2 ip6_tables,ip_tables
vfat                    9152  0 
fat                    40864  1 vfat
nls_utf8                1760  0 
ntfs                  185952  0 
nls_base                6820  5 nls_cp437,vfat,fat,nls_utf8,ntfs
usb_storage            77120  0 
cpufreq_stats           3776  0 
freq_table              4224  1 cpufreq_stats
tun                     8292  0 
microcode               8524  0 
firmware_class          6816  1 microcode
ipv6                  235396  32 
deflate                 2624  0 
zlib_deflate           17624  1 deflate
zlib_inflate           14144  1 deflate
ctr                     3936  0 
twofish                 8224  0 
twofish_common         13888  1 twofish
camellia               19936  0 
serpent                18688  0 
blowfish                8352  0 
des_generic            16672  0 
cbc                     3264  0 
aes_i586                7744  0 
aes_generic            29256  1 aes_i586
xcbc                    4296  0 
sha256_generic         11360  0 
sha1_generic            2304  0 
crypto_null             2880  0 
crypto_blkcipher       15236  3 ctr,cbc,crypto_null
af_key                 25524  0 
ext2                   54504  1 
eeprom                  5232  0 
lm85                   23332  0 
hwmon_vid               2720  1 lm85
tcp_diag                1472  0 
inet_diag               8392  1 tcp_diag
advantechwdt            4880  0 
serio_raw               4740  0 
parport_pc             22500  0 
parport                30988  1 parport_pc
pcspkr                  2432  0 
psmouse                32336  0 
snd_intel8x0           26268  0 
snd_ac97_codec         88452  1 snd_intel8x0
i2c_i801                7920  0 
ac97_bus                1728  1 snd_ac97_codec
rng_core                3940  0 
i2c_core               19828  3 eeprom,lm85,i2c_i801
button                  6096  0 
intel_agp              22524  1 
agpgart                28808  1 intel_agp
shpchp                 25528  0 
pci_hotplug            23460  1 shpchp
snd_pcm                62660  2 snd_intel8x0,snd_ac97_codec
snd_timer              17800  1 snd_pcm
snd                    45636  4 snd_intel8x0,snd_ac97_codec,snd_pcm,snd_timer
soundcore               6368  1 snd
snd_page_alloc          7816  2 snd_intel8x0,snd_pcm
evdev                   8000  3 
ext3                  105576  2 
jbd                    39476  1 ext3
mbcache                 7108  2 ext2,ext3
dm_mirror              15136  0 
dm_log                  8452  1 dm_mirror
dm_snapshot            14340  0 
dm_mod                 46216  3 dm_mirror,dm_log,dm_snapshot
ide_disk               10496  4 
ide_cd_mod             27684  0 
cdrom                  30176  1 ide_cd_mod
sd_mod                 22200  2 
ata_generic             4676  0 
ata_piix               14404  2 
libata                140448  2 ata_generic,ata_piix
scsi_mod              129548  3 usb_storage,sd_mod,libata
dock                    8304  1 libata
piix                    6568  0 [permanent]
tg3                    84708  0 
floppy                 47844  0 
ide_pci_generic         3908  0 [permanent]
ide_core               96168  4 ide_disk,ide_cd_mod,piix,ide_pci_generic
ehci_hcd               28428  0 
uhci_hcd               18672  0 
usbcore               118192  4 usb_storage,ehci_hcd,uhci_hcd
thermal                15228  0 
processor              32576  1 thermal
fan                     4196  0 
thermal_sys            10856  3 thermal,processor,fan

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface [8086:2570] (rev 02)
	Subsystem: Hewlett-Packard Company d330 uT [103c:12bc]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at f8000000 (32-bit, prefetchable) [size=64M]
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel
	Kernel modules: intel-agp

00:02.0 VGA compatible controller [0300]: Intel Corporation 82865G Integrated Graphics Controller [8086:2572] (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company D530 sff(dc578av) [103c:12bc]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
	Region 1: Memory at fc400000 (32-bit, non-prefetchable) [size=512K]
	Region 2: I/O ports at 14e0 [size=8]
	Capabilities: <access denied>
	Kernel modules: intelfb

00:1d.0 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 [8086:24d2] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company d530 CMT (DG746A) [103c:12bc]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at 1440 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 [8086:24d4] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company d530 CMT (DG746A) [103c:12bc]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 1460 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 [8086:24d7] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company d530 CMT (DG746A) [103c:12bc]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 1480 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller [8086:24dd] (rev 02) (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company d530 CMT (DG746A) [103c:12bc]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 23
	Region 0: Memory at fc480000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev c2) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=64
	Memory behind bridge: fc500000-fc7fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Kernel modules: shpchp

00:1f.0 ISA bridge [0601]: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge [8086:24d0] (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Kernel modules: intel-rng, iTCO_wdt

00:1f.1 IDE interface [0101]: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller [8086:24db] (rev 02) (prog-if 8a [Master SecP PriP])
	Subsystem: Hewlett-Packard Company d530 CMT (DG746A) [103c:12bc]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 18
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 14c0 [size=16]
	Region 5: Memory at 50000000 (32-bit, non-prefetchable) [size=1K]
	Kernel driver in use: PIIX_IDE
	Kernel modules: piix

00:1f.2 IDE interface [0101]: Intel Corporation 82801EB (ICH5) SATA Controller [8086:24d1] (rev 02) (prog-if 8f [Master SecP SecO PriP PriO])
	Subsystem: Hewlett-Packard Company d530 CMT (DG746A) [103c:12bc]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 18
	Region 0: I/O ports at 14f8 [size=8]
	Region 1: I/O ports at 1810 [size=4]
	Region 2: I/O ports at 1800 [size=8]
	Region 3: I/O ports at 1814 [size=4]
	Region 4: I/O ports at 14d0 [size=16]
	Kernel driver in use: ata_piix
	Kernel modules: ata_piix

00:1f.3 SMBus [0c05]: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller [8086:24d3] (rev 02)
	Subsystem: Hewlett-Packard Company d330 uT [103c:12bc]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at fc00 [size=32]
	Kernel driver in use: i801_smbus
	Kernel modules: i2c-i801

00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller [8086:24d5] (rev 02)
	Subsystem: Hewlett-Packard Company d330 uT [103c:12bc]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 0: I/O ports at 1000 [size=256]
	Region 1: I/O ports at 1400 [size=64]
	Region 2: Memory at fc480400 (32-bit, non-prefetchable) [size=512]
	Region 3: Memory at fc480600 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: Intel ICH
	Kernel modules: snd-intel8x0

05:02.0 Ethernet controller [0200]: Broadcom Corporation NetXtreme BCM5782 Gigabit Ethernet [14e4:1696] (rev 03)
	Subsystem: Hewlett-Packard Company d530 CMT (DG746A) [103c:12bc]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (16000ns min), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at fc500000 (64-bit, non-prefetchable) [size=64K]
	Expansion ROM at <ignored> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: tg3
	Kernel modules: tg3


** USB devices:
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 004: ID 090c:1000 Feiya Technology Corp. Flash Drive
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub


-- System Information:
Debian Release: 5.0.6
  APT prefers proposed-updates
  APT policy: (500, 'proposed-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-2-686 depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92o      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

Versions of packages linux-image-2.6.26-2-686 recommends:
ii  libc6-i686                  2.7-18lenny4 GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.26-2-686 suggests:
ii  grub                       0.97-47lenny2 GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.26           <none>        (no description available)

Versions of packages linux-image-2.6.26-2-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)

-- debconf information excluded






Set Bug forwarded-to-address to 'https://bugzilla.samba.org/show_bug.cgi?id=7676'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 14 Sep 2010 02:30:06 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 23 Dec 2010 16:39:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596704; Package linux-image-2.6.26-2-686. (Mon, 23 May 2011 12:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérôme Warnier <jwarnier@beeznest.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 12:15:07 GMT) Full text and rfc822 format available.

Message #14 received at 596704@bugs.debian.org (full text, mbox):

From: Jérôme Warnier <jwarnier@beeznest.net>
To: <596704@bugs.debian.org>
Subject: cifs: Files duplicated in directory listing
Date: Mon, 23 May 2011 14:07:52 +0200
Upstream closed it as fixed in a more recent version of the kernel.
As I cannot reproduce it with 2.6.32, I guess this was right.

I think we could safely close this one as well.

Thanks




Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Mon, 23 May 2011 14:21:04 GMT) Full text and rfc822 format available.

Notification sent to Jerome Warnier <jwarnier@beeznest.net>:
Bug acknowledged by developer. (Mon, 23 May 2011 14:21:04 GMT) Full text and rfc822 format available.

Message #19 received at 596704-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 596704-done@bugs.debian.org
Subject: Re: cifs: Files duplicated in directory listing
Date: Mon, 23 May 2011 09:18:48 -0500
Version: 2.6.32-34

Jérôme Warnier wrote:

> Upstream closed it as fixed in a more recent version of the kernel.
> As I cannot reproduce it with 2.6.32, I guess this was right.

Thanks, Jérôme.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 21 Jun 2011 07:33:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:01:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.